<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/MediaPlayer/AndroidSLESMediaPlayer/include/AndroidSLESMediaPlayer/FFmpegDeleter.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9d34932954f3d83257e5e12e3f421a72.html">MediaPlayer</a></li><li class="navelem"><a class="el" href="dir_b97c8a12362aabf73b92afdea21f65db.html">AndroidSLESMediaPlayer</a></li><li class="navelem"><a class="el" href="dir_7b5c7f5aa6c9c2118e08133913118a4b.html">include</a></li><li class="navelem"><a class="el" href="dir_1c7bd630be78b850d01adb3bbc48faf9.html">AndroidSLESMediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">FFmpegDeleter.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_f_fmpeg_deleter_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2include_2_android_s_l_e_s_media_player_2_f_fmpeg_deleter_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2include_2_android_s_l_e_s_media_player_2_f_fmpeg_deleter_8hdep" id="_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2include_2_android_s_l_e_s_media_player_2_f_fmpeg_deleter_8hdep">
<area shape="rect" id="node2" href="_f_fmpeg_attachment_input_controller_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/FFmpegAttachmentInputController.cpp" alt="" coords="5,119,319,171"/>
<area shape="rect" id="node3" href="_f_fmpeg_decoder_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/FFmpegDecoder.cpp" alt="" coords="342,119,587,171"/>
<area shape="rect" id="node4" href="_f_fmpeg_deleter_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/FFmpegDeleter.cpp" alt="" coords="610,119,855,171"/>
<area shape="rect" id="node5" href="_f_fmpeg_stream_input_controller_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/FFmpegStreamInputController.cpp" alt="" coords="879,119,1168,171"/>
<area shape="rect" id="node6" href="_f_fmpeg_url_input_controller_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/FFmpegUrlInputController.cpp" alt="" coords="1192,119,1455,171"/>
</map>
</div>
</div>
<p><a href="_f_fmpeg_deleter_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html">alexaClientSDK::mediaPlayer::android::FFmpegDeleter&lt; ObjectT &gt;</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">alexaClientSDK::mediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player_1_1android"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html">alexaClientSDK::mediaPlayer::android</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">FFMpeg FFmpegDeleter specializations.</div></td></tr>
<tr class="memitem:a7c5ef2b97b9a27383a73128b5faa92eb"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a7c5ef2b97b9a27383a73128b5faa92eb">alexaClientSDK::mediaPlayer::android::AVInputFormatDeleter</a> = FFmpegDeleter&lt; AVInputFormat &gt;</td></tr>
<tr class="separator:a7c5ef2b97b9a27383a73128b5faa92eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa50c78a5cc2ca3ebb86ffd2a8625e59b"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#aa50c78a5cc2ca3ebb86ffd2a8625e59b">alexaClientSDK::mediaPlayer::android::AVDictionaryDeleter</a> = FFmpegDeleter&lt; AVDictionary &gt;</td></tr>
<tr class="separator:aa50c78a5cc2ca3ebb86ffd2a8625e59b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d793102353e3d29dadc151d4760a882"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a6d793102353e3d29dadc151d4760a882">alexaClientSDK::mediaPlayer::android::AVContextDeleter</a> = FFmpegDeleter&lt; AVCodecContext &gt;</td></tr>
<tr class="separator:a6d793102353e3d29dadc151d4760a882"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f852adee9831f37d27c5d4c59de97b5"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a6f852adee9831f37d27c5d4c59de97b5">alexaClientSDK::mediaPlayer::android::AVIOContextDeleter</a> = FFmpegDeleter&lt; AVIOContext &gt;</td></tr>
<tr class="separator:a6f852adee9831f37d27c5d4c59de97b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1662ef41d58eab6afac3474b4eeb7272"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a1662ef41d58eab6afac3474b4eeb7272">alexaClientSDK::mediaPlayer::android::AVFormatContextDeleter</a> = FFmpegDeleter&lt; AVFormatContext &gt;</td></tr>
<tr class="separator:a1662ef41d58eab6afac3474b4eeb7272"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93dd862f3922004d65aa02cf3f0b6874"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a93dd862f3922004d65aa02cf3f0b6874">alexaClientSDK::mediaPlayer::android::AVPacketDeleter</a> = FFmpegDeleter&lt; AVPacket &gt;</td></tr>
<tr class="separator:a93dd862f3922004d65aa02cf3f0b6874"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7740164eb2ceaa0a1e2ca4e015e81199"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a7740164eb2ceaa0a1e2ca4e015e81199">alexaClientSDK::mediaPlayer::android::AVFrameDeleter</a> = FFmpegDeleter&lt; AVFrame &gt;</td></tr>
<tr class="separator:a7740164eb2ceaa0a1e2ca4e015e81199"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af50d473513b970700d437b32cc7bcb2a"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#af50d473513b970700d437b32cc7bcb2a">alexaClientSDK::mediaPlayer::android::SwrContextDeleter</a> = FFmpegDeleter&lt; SwrContext &gt;</td></tr>
<tr class="separator:af50d473513b970700d437b32cc7bcb2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
